Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 621752 - kernel: USB: fix testing the wrong variable in fs_create_by_name() [mrg-1]
Summary: kernel: USB: fix testing the wrong variable in fs_create_by_name() [mrg-1]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: Development
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Red Hat Real Time Maintenance
QA Contact: David Sommerseth
URL:
Whiteboard:
Depends On: 594630
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-06 03:23 UTC by Eugene Teo (Security Response)
Modified: 2016-05-22 23:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 594630
Environment:
Last Closed: 2012-01-06 07:49:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Eugene Teo (Security Response) 2010-08-06 03:23:05 UTC
There is a typo here.  We should be testing "*dentry" which was just assigned instead of "dentry".  This could result in dereferencing an ERR_PTR inside either usbfs_mkdir() or usbfs_create().

Upstream commit:
http://git.kernel.org/linus/fa7fe7af146a7b613e36a311eefbbfb5555325d1

Comment 1 Clark Williams 2012-01-05 23:16:41 UTC
Not sure how this slipped by. We have the above commit in our current MRG 2.0 tree since v2.6.33.4-rt21. 

Ok to close with CURRENTRELEASE?

Comment 2 Eugene Teo (Security Response) 2012-01-06 07:49:29 UTC
OK


Note You need to log in before you can comment on or make changes to this bug.